"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _AsyncPickerContext = require("../utils/AsyncPickerContext");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const AsyncPickerResult = _ref => {
  let {
    mode,
    isVisible,
    ...props
  } = _ref;
  const {
    configs
  } = (0, _AsyncPickerContext.useAsyncPicker)();

  if (!isVisible) {
    return null;
  }

  return /*#__PURE__*/_react.default.createElement(_reactNative.View, props, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flex: 1,
      justifyContent: 'center',
      alignItems: 'center'
    }
  }, mode === 'beforeSearch' && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: require('../assets/search.png'),
    style: {
      width: 128,
      height: 128
    }
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [configs.resultTextStyle]
  }, "Try some keywords ...")), mode === 'afterSearch' && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: require('../assets/not-found.png'),
    style: {
      width: 256,
      height: 256
    }
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [configs.resultTextStyle]
  }, "No results"))));
};

var _default = AsyncPickerResult;
exports.default = _default;
//# sourceMappingURL=AsyncPickerResult.js.map