"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _AsyncPickerContext = require("../utils/AsyncPickerContext");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const DefaultButton = _ref => {
  let {
    placeholder = 'Select ...',
    label,
    caretIcon,
    style,
    ...props
  } = _ref;
  const {
    configs
  } = (0, _AsyncPickerContext.useAsyncPicker)();
  const isPlaceholderString = !!placeholder && typeof placeholder === 'string';
  const isLabelString = !!label && typeof placeholder === 'string';

  const getCaretIcon = () => {
    if (caretIcon) {
      return caretIcon;
    }

    return /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
      source: require('../assets/caret-down.png'),
      style: configs.buttonCaretImageStyle
    });
  };

  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [configs.buttonContainerStyle]
  }, !!label && /*#__PURE__*/_react.default.createElement(_reactNative.View, null, isLabelString ? /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [configs.buttonLabelStyle]
  }, label) : label), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, _extends({
    activeOpacity: 0.7,
    style: [configs.buttonStyle, style]
  }, props), placeholder ? isPlaceholderString ? /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [configs.buttonTextStyle]
  }, placeholder) : placeholder : null, getCaretIcon()));
};

var _default = DefaultButton;
exports.default = _default;
//# sourceMappingURL=DefaultButton.js.map