"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _AsyncPickerContext = require("../utils/AsyncPickerContext");

var _PickerItemIcon = _interopRequireDefault(require("./PickerItemIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const PickerItem = _ref => {
  let {
    label,
    isActive = false,
    asRadio = false,
    style,
    ...props
  } = _ref;
  const {
    configs
  } = (0, _AsyncPickerContext.useAsyncPicker)();
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, _extends({
    activeOpacity: 0.7,
    style: [configs.pickerItemContainerStyle, props.disabled && configs.pickerItemDisabledStyle, style]
  }, props), /*#__PURE__*/_react.default.createElement(_PickerItemIcon.default, {
    isActive: isActive,
    color: configs.colors.checkboxOff,
    activeColor: configs.colors.checkboxOn,
    size: configs.sizes.checkboxSize,
    borderRadius: asRadio ? configs.sizes.checkboxSize / 2 : configs.sizes.checkboxBorderRadius
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    numberOfLines: 1,
    style: configs.pickerItemTextStyle
  }, label));
};

var _default = PickerItem;
exports.default = _default;
//# sourceMappingURL=PickerItem.js.map