"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultLightColors = exports.defaultDarkColors = exports.defaultColors = void 0;

var _twColors = _interopRequireDefault(require("./twColors"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const defaultLightColors = {
  backgroundColor: '#ffffff',
  textDefaultColor: '#222222',
  textLinkColor: '#38bdf8',
  borderColor: 'rgba(0, 0, 0, 0.1)',
  chipsItemBackgroundColor: '#f1f5f9',
  chipsItemBorderColor: '#e2e8f0',
  chipsItemCloseButtonBackgroundColor: '#e2e8f0',
  chipsItemCloseButtonIconColor: '#94a3b8',
  checkboxOff: _twColors.default.slate[200],
  checkboxOn: _twColors.default.blue[500],
  buttonBackgroundColor: 'transparent',
  buttonBorderColor: _twColors.default.slate[200],
  buttonLabelColor: _twColors.default.slate[700],
  buttonTextColor: _twColors.default.slate[500],
  buttonCaretColor: _twColors.default.slate[600]
};
exports.defaultLightColors = defaultLightColors;
const defaultDarkColors = {
  backgroundColor: '#000000',
  textDefaultColor: '#ffffff',
  textLinkColor: '#38bdf8',
  borderColor: 'rgba(255, 255, 255, 0.25)',
  chipsItemBackgroundColor: '#334155',
  chipsItemBorderColor: '#334155',
  chipsItemCloseButtonBackgroundColor: '#94a3b8',
  chipsItemCloseButtonIconColor: '#0f172a',
  checkboxOff: _twColors.default.slate[700],
  checkboxOn: _twColors.default.blue[500],
  buttonBackgroundColor: 'transparent',
  buttonBorderColor: _twColors.default.slate[600],
  buttonLabelColor: _twColors.default.slate[100],
  buttonTextColor: _twColors.default.slate[300],
  buttonCaretColor: _twColors.default.slate[400]
};
exports.defaultDarkColors = defaultDarkColors;
const defaultColors = {
  light: defaultLightColors,
  dark: defaultDarkColors
};
exports.defaultColors = defaultColors;
//# sourceMappingURL=colors.js.map