import React from 'react';
import { Image, Text, View } from 'react-native';
import { useAsyncPicker } from '../utils/AsyncPickerContext';

const AsyncPickerResult = _ref => {
  let {
    mode,
    isVisible,
    ...props
  } = _ref;
  const {
    configs
  } = useAsyncPicker();

  if (!isVisible) {
    return null;
  }

  return /*#__PURE__*/React.createElement(View, props, /*#__PURE__*/React.createElement(View, {
    style: {
      flex: 1,
      justifyContent: 'center',
      alignItems: 'center'
    }
  }, mode === 'beforeSearch' && /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Image, {
    source: require('../assets/search.png'),
    style: {
      width: 128,
      height: 128
    }
  }), /*#__PURE__*/React.createElement(Text, {
    style: [configs.resultTextStyle]
  }, "Try some keywords ...")), mode === 'afterSearch' && /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Image, {
    source: require('../assets/not-found.png'),
    style: {
      width: 256,
      height: 256
    }
  }), /*#__PURE__*/React.createElement(Text, {
    style: [configs.resultTextStyle]
  }, "No results"))));
};

export default AsyncPickerResult;
//# sourceMappingURL=AsyncPickerResult.js.map