function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { Image, Text, TouchableOpacity, View } from 'react-native';
import { useAsyncPicker } from '../utils/AsyncPickerContext';

const DefaultButton = _ref => {
  let {
    placeholder = 'Select ...',
    label,
    caretIcon,
    style,
    ...props
  } = _ref;
  const {
    configs
  } = useAsyncPicker();
  const isPlaceholderString = !!placeholder && typeof placeholder === 'string';
  const isLabelString = !!label && typeof placeholder === 'string';

  const getCaretIcon = () => {
    if (caretIcon) {
      return caretIcon;
    }

    return /*#__PURE__*/React.createElement(Image, {
      source: require('../assets/caret-down.png'),
      style: configs.buttonCaretImageStyle
    });
  };

  return /*#__PURE__*/React.createElement(View, {
    style: [configs.buttonContainerStyle]
  }, !!label && /*#__PURE__*/React.createElement(View, null, isLabelString ? /*#__PURE__*/React.createElement(Text, {
    style: [configs.buttonLabelStyle]
  }, label) : label), /*#__PURE__*/React.createElement(TouchableOpacity, _extends({
    activeOpacity: 0.7,
    style: [configs.buttonStyle, style]
  }, props), placeholder ? isPlaceholderString ? /*#__PURE__*/React.createElement(Text, {
    style: [configs.buttonTextStyle]
  }, placeholder) : placeholder : null, getCaretIcon()));
};

export default DefaultButton;
//# sourceMappingURL=DefaultButton.js.map