import React from 'react';
import { Text, View } from 'react-native';
import { useAsyncPicker } from '../utils/AsyncPickerContext';

const Header = _ref => {
  let {
    left,
    right,
    label = 'Search',
    ...props
  } = _ref;
  const {
    configs
  } = useAsyncPicker();
  const isLabelString = typeof label === 'string';
  return /*#__PURE__*/React.createElement(View, props, /*#__PURE__*/React.createElement(View, {
    style: configs.headerContainerStyle
  }, /*#__PURE__*/React.createElement(View, {
    style: {
      flex: 1,
      flexDirection: 'row',
      justifyContent: 'flex-start',
      alignItems: 'center'
    }
  }, left), /*#__PURE__*/React.createElement(View, {
    style: {
      flex: 1,
      flexDirection: 'row',
      justifyContent: 'center',
      alignItems: 'center'
    }
  }, isLabelString && /*#__PURE__*/React.createElement(Text, {
    numberOfLines: 1,
    style: [configs.headerTitleStyle]
  }, label), !isLabelString && label), /*#__PURE__*/React.createElement(View, {
    style: {
      flex: 1,
      flexDirection: 'row',
      justifyContent: 'flex-end',
      alignItems: 'center'
    }
  }, right)));
};

export default Header;
//# sourceMappingURL=Header.js.map