function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { Text, TouchableOpacity } from 'react-native';
import { useAsyncPicker } from '../utils/AsyncPickerContext';
import PickerItemIcon from './PickerItemIcon';

const PickerItem = _ref => {
  let {
    label,
    isActive = false,
    asRadio = false,
    style,
    ...props
  } = _ref;
  const {
    configs
  } = useAsyncPicker();
  return /*#__PURE__*/React.createElement(TouchableOpacity, _extends({
    activeOpacity: 0.7,
    style: [configs.pickerItemContainerStyle, props.disabled && configs.pickerItemDisabledStyle, style]
  }, props), /*#__PURE__*/React.createElement(PickerItemIcon, {
    isActive: isActive,
    color: configs.colors.checkboxOff,
    activeColor: configs.colors.checkboxOn,
    size: configs.sizes.checkboxSize,
    borderRadius: asRadio ? configs.sizes.checkboxSize / 2 : configs.sizes.checkboxBorderRadius
  }), /*#__PURE__*/React.createElement(Text, {
    numberOfLines: 1,
    style: configs.pickerItemTextStyle
  }, label));
};

export default PickerItem;
//# sourceMappingURL=PickerItem.js.map