import React from 'react';
import { ImageStyle, StyleProp, TextStyle, ViewStyle } from 'react-native';
import { defaultLightColors } from './colors';
export declare type ColorsProps = typeof defaultLightColors;
declare const defaultSizes: {
    screenPadding: number;
    buttonHeight: number;
    searchHeight: number;
    chipsItemHeight: number;
    chipsItemBorderRadius: number;
    chipsItemGapSize: number;
    chipsItemPaddingLeft: number;
    chipsItemPaddingRight: number;
    checkboxSize: number;
    checkboxBorderRadius: number;
};
export interface InitialConfigsProps {
    colors: ColorsProps;
    sizes: typeof defaultSizes;
    textBaseStyle: StyleProp<TextStyle>;
    textLinkStyle: StyleProp<TextStyle>;
    buttonContainerStyle: StyleProp<ViewStyle>;
    buttonLabelStyle: StyleProp<TextStyle>;
    buttonStyle: StyleProp<ViewStyle>;
    buttonTextStyle: StyleProp<TextStyle>;
    buttonCaretImageStyle: StyleProp<ImageStyle>;
    containerStyle: StyleProp<ViewStyle>;
    chipsGridStyle: StyleProp<ViewStyle>;
    chipsItemContainerStyle: StyleProp<ViewStyle>;
    chipsItemCloseButtonStyle: StyleProp<ViewStyle>;
    chipsItemCloseIconStyle: StyleProp<ImageStyle>;
    chipsItemTextStyle: StyleProp<TextStyle>;
    headerContainerStyle: StyleProp<ViewStyle>;
    headerTextStyle: StyleProp<TextStyle>;
    headerTitleStyle: StyleProp<TextStyle>;
    searchInputStyle: StyleProp<TextStyle>;
    pickerItemContainerStyle: StyleProp<ViewStyle>;
    pickerItemTextStyle: StyleProp<TextStyle>;
    pickerItemIconStyle: StyleProp<ImageStyle>;
    pickerItemActiveIconStyle: StyleProp<ImageStyle>;
    pickerItemDisabledStyle: StyleProp<ViewStyle>;
    resultTextStyle: StyleProp<TextStyle>;
}
export interface AsyncPickerContextProps {
    configs: InitialConfigsProps;
    setConfigs: (configs: InitialConfigsProps) => void;
}
declare const AsyncPickerProvider: ({ children, configParams, }: {
    children: React.ReactNode;
    configParams?: InitialConfigsProps | undefined;
}) => JSX.Element;
declare function useAsyncPicker(): AsyncPickerContextProps;
export { AsyncPickerProvider, useAsyncPicker };
